=== doc/requirements.txt ===
sphinx >=4.0.0
sphinx-fortran
sphinx_rtd_theme
sphinxcontrib.bibtex
sphinx-copybutton
