=== doc/cvodes/Makefile ===
# -----------------------------------------------------------------
# Programmer(s): Slaven Peles, Cody Balos @ LLNL
# -----------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2024, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# -----------------------------------------------------------------
# Makefile for CVODES examples documentation
# -----------------------------------------------------------------

EXAMPLES   = cvs_examples

EX_FILES = \
${EXAMPLES}.tex \
cvs_ex_intro.tex \
cvs_ex_fwd.tex \
cvs_ex_adj.tex \
cvs_ex_tests.tex

include ../Makefile.in
