=== doc/kinsol/Makefile ===
# -----------------------------------------------------------------
# Programmer(s): Slaven Peles, Cody Balos @ LLNL
# -----------------------------------------------------------------
# SUNDIALS Copyright Start
# Copyright (c) 2002-2024, Lawrence Livermore National Security
# and Southern Methodist University.
# All rights reserved.
#
# See the top-level LICENSE and NOTICE files for details.
#
# SPDX-License-Identifier: BSD-3-Clause
# SUNDIALS Copyright End
# -----------------------------------------------------------------
# Makefile for KINSOL examples documentation
# -----------------------------------------------------------------

EXAMPLES   = kin_examples

EX_FILES = \
${EXAMPLES}.tex \
kin_ex_intro.tex \
kin_ex_c.tex \
kin_ex_cxx.tex

# Remove F77 examples
# kin_ex_fortran.tex

include ../Makefile.in
