=== debian/tests/control ===
Tests: arkode, cvode, cvodes, kinsol, sunnonlinsol
Depends: build-essential, libsundials-dev
Restrictions: allow-stderr
