=== debian/watch ===
version=4
opts=repacksuffix=+dfsg1,dversionmangle=s/\+dfsg1//g,repack,compression=xz,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sundials-$1\.tar\.gz/ \
  https://github.com/LLNL/sundials/tags .*/v?(\d\S+)\.tar\.gz
